#include <stdbool.h>
#include <sys/stat.h>
#include <unistd.h>

#include <curl/curl.h>
#include <magic.h>

#include "landerctl.h"

int main(int argc, char **argv) {
  landerctl_args args = {0};

  int res;
  if ((res = landerctl_parse_args(&args, argc, argv))) {
    return res;
  }

  switch (args.mode) {
  case landerctl_mode_short:
    res = landerctl_cmd_short(&args);
    break;
  case landerctl_mode_paste:
    res = landerctl_cmd_paste(&args);
    break;
  case landerctl_mode_file:
    res = landerctl_cmd_file(&args);
    break;
  case landerctl_mode_placeholder:
    res = landerctl_cmd_placeholder(&args);
    break;
  default:
    res = 7;
    break;
  }

  return res;
}
